Package ghidra.framework.plugintool

# Class SettableApplicationInformationDisplayFactory

java.lang.Object
docking.framework.ApplicationInformationDisplayFactory
ghidra.framework.plugintool.SettableApplicationInformationDisplayFactory

public class SettableApplicationInformationDisplayFactory extends ApplicationInformationDisplayFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SettableApplicationInformationDisplayFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Runnable`
  `doGetHomeCallback()`
  `ImageIcon`
  `doGetHomeIcon()`
  `protected List<Image>`
  `doGetWindowIcons()`
  `protected Icon`
  `getSplashScreenIcon128()`
  `void`
  `setHomeCallback(Runnable callback)`
  `void`
  `setHomeIcon(ImageIcon icon)`
  `void`
  `setSplashIcon128(ImageIcon splashIcon)`
  `void`
  `setWindowsIcons(List<Image> windowsIcons)`

  ### Methods inherited from class docking.framework.ApplicationInformationDisplayFactory

  `createAboutComponent, createAboutTitle, createHelpLocation, createSplashScreenComponent, createSplashScreenTitle, doCreateAboutComponent, doCreateAboutTitle, doCreateHelpLocation, doCreateSplashScreenComponent, doCreateSplashScreenTitle, getHomeCallback, getHomeIcon, getLargestWindowIcon, getWindowIcons`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SettableApplicationInformationDisplayFactory

    public SettableApplicationInformationDisplayFactory()

- ## Method Details

  - ### getSplashScreenIcon128

    protected Icon getSplashScreenIcon128()
    Overrides:
      `getSplashScreenIcon128` in class `ApplicationInformationDisplayFactory`

  - ### doGetWindowIcons

    protected List<Image> doGetWindowIcons()
    Overrides:
      `doGetWindowIcons` in class `ApplicationInformationDisplayFactory`

  - ### doGetHomeIcon

    public ImageIcon doGetHomeIcon()
    Overrides:
      `doGetHomeIcon` in class `ApplicationInformationDisplayFactory`

  - ### doGetHomeCallback

    protected Runnable doGetHomeCallback()
    Overrides:
      `doGetHomeCallback` in class `ApplicationInformationDisplayFactory`

  - ### setSplashIcon128

    public void setSplashIcon128(ImageIcon splashIcon)

  - ### setWindowsIcons

    public void setWindowsIcons(List<Image> windowsIcons)

  - ### setHomeIcon

    public void setHomeIcon(ImageIcon icon)

  - ### setHomeCallback

    public void setHomeCallback(Runnable callback)